# Release checklist:

## Changes to do on the master branch before releasing

* [ ] Create a MR for the master branch for the following changes:
* update/review `docs/*` and make sure it matches the current state
  * [ ] Update how to checkout the latest stable tag
  * [ ] Document how to upgrade in `docs/upgrade.md`
* [ ] Update dependencies in `requirements-stable.txt` by following the
      instructions in `requirements.in`
* [ ] update [CHANGELOG.md](https://keepachangelog.com/en/1.0.0/)
  * [ ] Include `Known issues`
* [ ] update the version number in the `VERSION` file
* [ ] commit (signed)
* [ ] Push to MR
* [ ] Wait for MR to get merged into master

## Changes to do in the new release branch

* [ ] If this is a major release, create a new release branch (i.e. `v0.5`)

Create a MR for the new branch with the following changes:

* [ ] Ensure all dependencies are updated and locked (locking should be done
    only on the release branch):
  * [ ] flux chart versions: `find flux/* -type f -exec yq -y -rS .spec.chart {} \;`
* [ ] Push and make sure the pipeline succeeds for the last commit before tagging. This
      is important because tags should not get retagged !
* [ ] Create and push signed tag (`git tag -s 0.2.0 -m 'Release 0.2.0'; git push --tags`)
* [ ] Wait for MR to get merged

## After release

* [ ] Log into https://readthedocs.org and update documentation for tagged versions
* [ ] Cherry-pick all changes from the release branch into master which
      shouldn't be only in the 0.4.0 branch (i.e. not the commit locking the
      dependencies)
* [ ] Celebrate :clinking_glass: !!
